<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PadSquad - Magnifying Glass Banner</title>
  <link rel="stylesheet" href="./src/mg-styles.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.14/vue.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.9.1/gsap.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.9.1/Draggable.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.9.1/ScrollTrigger.min.js"></script>

  <style>
    .skeleton {
      display: flex;
      justify-content: space-between;
      padding: 2px;
      /* max-width: 428px; */
      width: 100%;
    }

    .skeleton > div:first-child{
      width: 35%;
      height: 100%;
      padding: 4px;
    }
    .skeleton > div:first-child > div {
      height: 95px;
      background-color: #e7e7e7;
    }
    .skeleton > div:nth-child(2){
      width: 65%;
      height: 100%;
      padding: 4px;
    }

    .skeleton > div:nth-child(2) > div{
      height: 8px;
      margin-bottom: 8px;
      background-color: #e7e7e7;
    }


    .skeleton > div:nth-child(2) > div:nth-child(3){
      width: 75%;
    }

    .skeleton > div:nth-child(2) > div:nth-child(4){
      width: 90%;
    }

    .skeleton > div:nth-child(2) > div:nth-child(5){
      width: 40%;
    }
  </style>
</head>

<body>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>

  <div id="ad-canvas">
    <magnifying-glass
      mg-image="./assets/img/veronica_mars_poster.jpg"
      mg-zoom="3.04"
      mg-color="#fff"
      mg-line-width="30"
      mg-radius="200"
      mg-position-x="50"
      mg-position-y="50"
      mg-cta-url="https://google.com"
      mg-cta-img="./assets/img/cta.png"
    />
  </div>

  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>
  <div class="skeleton"><div><div></div></div><div><div></div><div></div><div></div><div></div><div></div></div></div>

  <script src="./src/mg-index.js"></script>
  <script src="./skeleton.js"></script>

</html>